Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.deploy
Interface DeploymentSource

All Superinterfaces:
  MapCapable

All Known Implementing Classes:
  DeploymentSourceImpl

public interface DeploymentSource
extends MapCapable

Abstraction for archives delivery for a deployment operation This interface may be instantiated by using routines in `DeploymentSupport`

Field Summary
`static java.lang.String` | `DEPLOYMENT_SOURCE_CLASS_NAME` Value of the MAP_CAPABLE_TYPE_KEY when turned into a Map.

Fields inherited from interface com.sun.appserv.management.base.MapCapable
`MAP_CAPABLE_CLASS_NAME_KEY`

Method Summary
`java.io.File` | `getArchive()` (Optional)
`java.util.jar.JarInputStream` | `getArchiveAsStream()`
`java.lang.String[]` | `getEntriesAdded()` In case of a partial delivery.
`java.lang.String[]` | `getEntriesDeleted()` In case of a partial delivery.
`java.lang.String[]` | `getEntriesRemoved()` In case of a partial archive delivery.
`boolean` | `isCompleteArchive()`

Methods inherited from interface com.sun.appserv.management.base.MapCapable
`asMap, getMapClassName`

Field Detail

### DEPLOYMENT_SOURCE_CLASS_NAME

    public static final java.lang.String DEPLOYMENT_SOURCE_CLASS_NAME

  Value of the MAP_CAPABLE_TYPE_KEY when turned into a Map.

  See Also:
    Constant Field Values

Method Detail

### getArchive

    public java.io.File getArchive()

  (Optional)

  Returns:
    the archive as a file handle if possible otherwise return null.

### getArchiveAsStream

    public java.util.jar.JarInputStream getArchiveAsStream()
                                                    throws java.io.IOException

  Returns:
    a JarInputStream on the archive.
  Throws:
    `java.io.IOException`

### isCompleteArchive

    public boolean isCompleteArchive()

  Returns:
    true if this archive is complete or false if it is a partial delivery (redeploy).

### getEntriesAdded

    public java.lang.String[] getEntriesAdded()

  In case of a partial delivery.

  Returns:
    entries added iterator

### getEntriesRemoved

    public java.lang.String[] getEntriesRemoved()

  In case of a partial archive delivery.

  Returns:
    entries removed iterator

### getEntriesDeleted

    public java.lang.String[] getEntriesDeleted()

  In case of a partial delivery.

  Returns:
    entries deleted iterator

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.